package com.cyx.utils;

import java.text.SimpleDateFormat;
import java.time.LocalDate;
import java.time.format.DateTimeFormatter;
import java.util.Calendar;
import java.util.Date;

/**
 * @Author Created by cyx.zhang Administrator on 2024/1/30 10:07 周二
 * @Description: 时间工具类
 */
public class DateUtils{

  /**
   * 计算两个日期之间的天数
   * @param endDate
   * @param nowDate
   * @return
   */
  public static Integer getDatePoorByInteger(Date endDate, Date nowDate)
  {
    long nd = 1000 * 24 * 60 * 60;
    long nh = 1000 * 60 * 60;
    long nm = 1000 * 60;
    // long ns = 1000;
    // 获得两个时间的毫秒时间差异
    long diff = endDate.getTime() - nowDate.getTime();
    // 计算差多少天
    long day = diff / nd;
    return  Integer.parseInt(day+"");
  }

  /**
   * 获取当前日期
   * @return
   */
  public static String getNowDay() {
    LocalDate currentDate = LocalDate.now();
    DateTimeFormatter formatter = DateTimeFormatter.ofPattern("yyyy-MM-dd");
    String result = currentDate.format(formatter);
    return result;
  }

  /**
   * 获取当前日期前几天的日期
   * @param day
   * @return
   */
  public static String getOtherDay(int day) {
    Calendar cal = Calendar.getInstance();
    cal.add(Calendar.DATE, day);
    String result = new SimpleDateFormat("yyyy-MM-dd").format(cal.getTime());
    return result;
  }
}
